@import url("https://fonts.googleapis.com/css?family=Press Start 2P&display=swap");

@font-face {
  font-family: PixelMplus10 Bold;

  src: url("https://cdn.leafscape.be/PixelMplus/PixelMplus10-Bold_web.woff2") format("woff2");
  size-adjust: 140%;
}

/* Base Style */

* {
  box-sizing: border-box;
}

html, body, pre, code, kbd, samp {
  font-family: "Press Start 2P", "PixelMplus10 Bold";
}

body {
  position: relative;
}

img {
  width: 100%;

  image-rendering: pixelated;
}

/* Layout */

.header {
  position: sticky;
  top: 0;
  z-index: 1;
  padding: 1rem 0;
}

.header-row {
  display: flex;
  justify-content: space-between;

  gap: 1rem;
}

.sns-link {
  display: flex;
  flex-wrap: wrap;
  align-items: center;

  gap: .8rem;
}

.sns-icons {
  display: none;
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 1rem;
}

.main-contents {
  margin-top: 1rem;
  margin-bottom: 7rem;
}

.article-grid {
  display: grid;
  max-width: 100%;

  grid-template-columns: calc(50% - .5rem) calc(50% - .5rem);
  grid-template-rows: auto;
  grid-auto-flow: row dense;
  gap: 1rem;
}

.article {
  grid-row: span 1;
}

.article.github-gist {
  grid-column: span 2;
}

.article:last-of-type {
  grid-column: span 2;
}

.footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  padding: 1rem 0;
}

.footer-row {
  text-align: end;
}


@media screen and (max-width: 1023px) {
  .sns-icons {
    display: flex;
  }

  .sns-budge {
    display: none;
  }

  .article-grid {
    grid-template-columns: 100%;
  }

  .article.github-gist {
    grid-column: span 1;
  }

  .article:last-of-type {
    grid-column: span 1;
  }
}

/* Design */

.header, .footer {
  background-color: #ffffff;
}

.icon-fav {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 64px;
  height: 64px;
  font-size: 2rem;
}


.container > .main-banner {
  margin-bottom: 2rem;
}

.article.github-gist .article-body .gist-data .blob-wrapper {
  max-height: 25rem;
  overflow-y: scroll;
}

.article.github-gist .article-body .gist-file {
  margin: 0;
}

.article.niconico .article-body.player {
  position: relative;
  height: 0;
  padding-bottom: 56.25%;
  overflow: hidden;
}

.article.niconico .article-body.player > iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.article.iframe .article-body {
  display: block;
  position: relative;
  width: 100%;
  padding-bottom: 80%;
  overflow: hidden;
}

.article.iframe .article-body > iframe {
  position: absolute;
  width: 100%;
  height: 100%;
  border: 0;

  inset: 0;
}

.dialog-menu {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0;

  gap: 1rem;
}

.dialog-menu > .nes-btn {
  min-width: 6rem;
}

.is-no-break {
  display: inline-block;
}
